Get
curl --request GET \
--url 'https://api.birdeye.com/resources/v1/business/public/custom-fields/get/{fieldId}?locationBizNumber={locationBizNumber}'import requests
url = "https://api.birdeye.com/resources/v1/business/public/custom-fields/get/{fieldId}?locationBizNumber={locationBizNumber}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.birdeye.com/resources/v1/business/public/custom-fields/get/{fieldId}?locationBizNumber={locationBizNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 376,
"fieldValue": "Green",
"fieldName": "colours",
"type": "DROPDOWN_MULTI",
"defaultValue": "Green",
"fieldDescription": "This custom field contains list of colours",
"filterable": true
}{
"code": 5025,
"message": "Custom field not found."
}Custom Fields
Get Custom Field
GET
/
v1
/
business
/
public
/
custom-fields
/
get
/
{fieldId}
?locationBizNumber=
{locationBizNumber}
Get
Headers
e.g. application/json
e.g. - Partner specific API key provided by Birdeye for data exchange.
e.g. - Long Business Number
Path Parameters
fieldId of the custom field created earlier.
Long Location number of the Location
Response
OK
fieldId of the custom field.
Example:
376
Field Value of custom field and will only be visible if value is present.
Example:
"Green"
Name of the custom field.
Example:
"colours"
Type of field.
Example:
"DROPDOWN_MULTI"
Default Value of custom field and will only be visible if value is present.
Example:
"Green"
Description of custom field.
Example:
"This custom field contains list of colours"
Whether the custom field will be filterable or not.

